[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [CONTRIBUTE] [DONATE]

Install Debian fasttrack-archive-keyring by default?

Installation of fasttrack-archive-keyring by default would simplify enabling the Debian fasttrack repository.

Enabling the Debian fasttrack repository is out of scope for this forum discussion.


Related:

1 Like

Why not? it is a trusted repo maintained by Debian and it could make life easier on those who need to use it. Go for it IMO.

1 Like

Done.

kicksecure-meta-packages/control at master · Whonix/kicksecure-meta-packages · GitHub at time of writing:

Package: kicksecure-dependencies-cli
Depends: init,
 bzip2, file, lsof, most, pciutils, strace, sysfsutils, procps,
 less, haveged, jitterentropy-rngd, locales, e2fsprogs,
 apt-transport-tor, apt-transport-https, ca-certificates,
 sdwdate, bootclockrandomization, timesanitycheck,
 busybox, dialog,
 dist-base-files,
 security-misc,
 bash-completion, zsh, nano, wget, dnsutils, iputils-ping,
 apt-utils,
 apparmor-utils, apparmor-profile-dist,
 udisks2, libblockdev-crypto2,
 secure-delete, sudo, net-tools,
 repository-dist,
 openvpn,
 curl,
 sensible-utils,
 usability-misc, menu, man-db, open-link-confirmation,
 whonix-initializer,
 hardened-malloc | dummy-dependency,
Package: kicksecure-recommended-cli
Depends: fasttrack-archive-keyring, obfs4proxy,

Now a lot packages from kicksecure-dependencies-cli could be moved to kicksecure-recommended-cli. For a lot packages it’s hard to reason if it’s should be considered a “dependency” or just “recommended”.

Due to the general Debian technical issues and following from that usability issues described on Whonix Debian Packages - Whonix probably very few people can take advantage of such a package split anyhow.

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Contributors] [Investors] [Priority Support] [Professional Support]